/*
 * Copyright © 2012-2024 by Data Virtuality GmbH
 */
package org.teiid.query.function.source;

import com.datavirtuality.dv.core.services.DVService;
import org.teiid.core.types.BinaryType;

/**
 * @author Roman Pedchenko
 * @date 2024.03.11
 */
public interface EncryptionsIntf extends DVService {
    String aesEncrypt(String data, String key);
    String aesDecrypt(String data, String key) throws Exception;
    String aesEncryptWoSignature(String data, String key, BinaryType iv, String salt, Integer iterationCount);
    String aesDecryptWoSignature(String data, String key, BinaryType iv, String salt, Integer iterationCount) throws Exception;
}
